> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/argentina/wallet.md).

# Wallet

## Submit a payout by Wallet in Argentina.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Wallet in Argentina.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                     |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>               | String | <p>Beneficiary's name<br>- Length must between 5 and 100 -</p>                                                                  |
| amount\_type                                         | String | <p>Specify the amount value is fixed for merchant or beneficiary</p><p>- One of: source\_amount, arrival\_amount(default) -</p> |
| amount<mark style="color:red;">\*</mark>             | number | <p>Payout Amount, 2 decimal numbers</p><p>- Min 1, Max 10,000,000 -</p>                                                         |
| fee\_bear<mark style="color:red;">\*</mark>          | String | <p>All fees charge to merchant or beneficiary</p><p>- One of: merchant, beneficiary -</p>                                       |
| custom\_code<mark style="color:red;">\*</mark>       | String | <p>Merchant Payout ID</p><p>- Max. 50 chars -</p>                                                                               |
| method<mark style="color:red;">\*</mark>             | String | Fixed value: WALLET                                                                                                             |
| document\_type<mark style="color:red;">\*</mark>     | String | <p>Beneficiary's identification type.</p><p>Fixed value: CUIT</p>                                                               |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary's identification number.                                                                                            |
| email                                                | String | <p>Beneficiary's email<br>- Max 64, valid email -</p>                                                                           |
| phone                                                | String | <p>Beneficiary's phone</p><p>- Max 15, valid phone -</p>                                                                        |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where pagsmile will send notifications to.                                                                                      |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | Fixed value: ARS                                                                                                                |
| source\_currency<mark style="color:red;">\*</mark>   | String | <p>Merchant Account Currency</p><p>- One of: USD, EUR, GBP, ARS -</p>                                                           |
| country<mark style="color:red;">\*</mark>            | String | Fix value: ARG, for Argentina                                                                                                   |
| additional\_remark<mark style="color:red;">\*</mark> | String | <p>The descriptor on the user's bank bill</p><p>- Max. 40 chars -</p>                                                           |
| account\_type<mark style="color:red;">\*</mark>      | String | <p>Beneficiary's Account Type</p><p>- Fixed value: CVU -</p>                                                                    |
| account<mark style="color:red;">\*</mark>            | String | Beneficiary's Account                                                                                                           |
| channel<mark style="color:red;">\*</mark>            | String | Fixed value: MercadoPago                                                                                                        |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```json
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "0.51",
        "arrival_currency": "ARS",
        "source_amount": "0.07",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized permission denied" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```json
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
      "phone": "12******9",
      "email": "payout@pagsmile.com",
    * "account_type": "CVU", // fixed value: CVU
    * "account": "00000031************56",
    * "document_id": "27*******00",
    * "document_type": "CUIT",  // fixed value: CUIT
    * "source_currency": "ARS", 
    * "arrival_currency": "ARS", // fixed value: ARS
    * "fee_bear": "merchant", // should be one of merchant, beneficiary
    * "method": "WALLET", // fixed value: WALLET
    * "channel": "MercadoPago", // fixed value: MercadoPago
    * "amount": 200,
    * "notify_url": "https://notify.url",
    * "custom_code" : "merchant_payout_order_id",
    * "additional_remark": "pagsmile payout test remark",
    * "country": "ARG"  // fixed value: ARG
}
'
```

{% hint style="info" %}
Note: ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is the authorization token associated with the test App ID.
{% endhint %}

## Example of Document

| Document Type | Document ID        | Description |
| ------------- | ------------------ | ----------- |
| CUIT          | 27\*\*\*\*\*\*\*00 | 11 digits   |

## Example of Account

| Account Type | Account                            | Description                                      |
| ------------ | ---------------------------------- | ------------------------------------------------ |
| CVU          | 00000031\*\*\*\*\*\*\*\*\*\*\*\*56 | Always start with 00000031, should be 22 digits. |
